# libs
window.$ = require('jquery')

# on load
$ ->
  # libs requiring full DOM
  require 'craftyjs/dist/crafty'
  io = require 'socket.io-client'

  # style sheet
  require './style/custom.scss'

  # fftcg libs
  require './game/config.coffee'
  require './game/components/Card.coffee'
  require './game/scenes/Battle.coffee'

  # init Socket.IO
  socket = io()

  # init CraftyJS framework
  Crafty.init()

  # Load base scene
  Crafty.scene "Battle"

  # Testing some entities
  Crafty.sprite 480, 670, '//www.fftcgmognet.com/images/cards/hd/1/1/107.jpg',
    shantotto: [
      0
      0
    ]

  backups = [

    Crafty.e 'shantotto, AllyCard'
      .attr {
        card:
          type: 'backup'
      }

    Crafty.e 'shantotto, AllyCard'
      .attr {
        card:
          type: 'backup'
      }

    Crafty.e 'shantotto, AllyCard'
      .attr {
        card:
          type: 'backup'
      }

  ]

  Crafty 'AllyCard'
    .each (index) ->
      switch @card.type
        when 'backup'
          @trigger 'Place',
            x: CONF.coord.x.main + index * CONF.coord.x.step
            y: CONF.coord.y.bkup
      return


  Crafty.e 'shantotto, EnemyCard'
    .trigger 'Place',
      x: 900
      y: 0

  return
